# Auto LBA

## Table of Contents
- [In Code](#in-code)
  - [Overlay](#overlay)
  - [Main file](#main-file)
- [For CD generation](#for-cd-generation)

To support the `Auto LBA` feature changes need to be applied to the source files and the CD configuration file. The changes for the source files depend on if they are an Overlay or part of the main executable.

---

## In Code
To use the `Auto LBA` feature the LBAs first need to be defined in either an `enum` or `enum struct`. These need to fit a special pattern.

`__jabyengine_start_lba_request` needs to be the first entry while `__jabyengine_end_lba_request` needs to be the last. Each LBA entry needs to be declared with `__jabyengine_request_lba_for` followed by the name for the enum entry and the file path on the disk. 

```c++
#include <PSX/AutoLBA/auto_lba.hpp>

enum LBA {
    __jabyengine_start_lba_request
    __jabyengine_request_lba_for(SYSTEM_CNF, "SYSTEM.CNF"),
    __jabyengine_end_lba_request
};
```

### __Overlay__
More Text

### __Main file__
Text

## For CD generation